<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

GetIt Payments is a payment gateway which allows businesses to collect payment from their website
 or mobile app with ease. This package ensure this process is secure and easy.
 Currently, GetIt Payments is only available in St Lucia.

## Features

- RSA encryption
- Payment transactions
- Easy setup

## Getting started

- Setup your Getit Payments account first.
- Get your public key and company Id from settings.

## Usage

TODO: Include short and useful examples for package users. Add longer examples
to `/example` folder. 

```dart
//first initialize package
void main() async{
  GetItPayments.initialize(companyID: "YOURS_HERE",
      publicKeySTRING: "-----BEGIN RSA PUBLIC KEY-----YOUR_PUBLIC_KEY-----END RSA PUBLIC KEY-----");

  runApp(const MyApp());
}
//then use where necessary:
ServerResponse? sR = await getItPayments.startTransaction(amountToPay: 200, currency: "XCD", context: context);
                        if(sR == null){
                          print("Nothing there");
                        }else{
                          print("status : "+sR.status.toString());
                          print("message : "+sR.msg.toString());
                        }

```

## Additional information

This package is built and maintained by Region Designs Inc.
