enum CardType {
  MasterCard,
  Visa,
  Verve,
  Others, // Any other card issuer
  Invalid // We'll use this when the card is invalid
}

class PaymentTransaction{
  CardType? type;
  late String? name;
  late double amount;
  String? currency;
  String? month;
  String? year;
  int? cvv;
  String? cardNumber;

  PaymentTransaction({
    this.name, required this.type, this.cardNumber,
    required this.amount, this.currency,
    this.month, this.year, this.cvv
});

  Map<String, dynamic> toJson(){
    return {
      'name': name,
      'amount': amount.toStringAsFixed(2),
      'currency': currency,
      'month': month,
      'year': year,
      'cvv': cvv,
      'cardNumber':cardNumber
    };
  }
}